Changeset 2725 in MondoRescue for branches/2.2.9/mindi-busybox/shell/ash_test


Ignore:
Timestamp:
Feb 25, 2011, 9:26:54 PM (14 years ago)
Author:
Bruno Cornec
Message:
  • Update mindi-busybox to 1.18.3 to avoid problems with the tar command which is now failing on recent versions with busybox 1.7.3
Location:
branches/2.2.9/mindi-busybox/shell/ash_test
Files:
97 added
5 edited

Legend:

Unmodified
Added
Removed
  • branches/2.2.9/mindi-busybox/shell/ash_test/ash-arith/arith.right

    r1765 r2725  
    565620 20
    575730 30
    58 ./arith.tests: line 117: syntax error: 1 ? 20 : x+=2
     58./arith.tests: line 117: arithmetic syntax error
    59596 6
    60606,5,3 6,5,3
     
    6262255 255
    636340 40
    64 ./arith.tests: line 163: syntax error:  7 = 43
     64./arith.tests: line 163: arithmetic syntax error
    6565./arith.tests: line 165: divide by zero
    66 ./arith.tests: let: line 166: syntax error: jv += $iv
    67 ./arith.tests: line 167: syntax error:  jv += $iv
    68 ./arith.tests: let: line 168: syntax error: rv = 7 + (43 * 6
     66./arith.tests: let: line 166: arithmetic syntax error
     67./arith.tests: line 167: arithmetic syntax error
     68./arith.tests: let: line 168: arithmetic syntax error
    6969abc
    7070def
    7171ghi
    72 ./arith.tests: line 191: syntax error:  ( 4 + A ) + 4
     72./arith.tests: line 191: arithmetic syntax error
    737316 16
    74 ./arith.tests: line 196: syntax error:  4 ? : 3 + 5
    75 ./arith.tests: line 197: syntax error:  1 ? 20
    76 ./arith.tests: line 198: syntax error:  4 ? 20 :
     74./arith.tests: line 196: arithmetic syntax error
     75./arith.tests: line 197: malformed ?: operator
     76./arith.tests: line 198: arithmetic syntax error
    77779 9
    78 ./arith.tests: line 205: syntax error:  0 && B=42
    79 ./arith.tests: line 208: syntax error:  1 || B=88
     78./arith.tests: line 205: arithmetic syntax error
     79./arith.tests: line 208: arithmetic syntax error
    80809 9
    81819 9
     
    98984 4
    99994 4
    100 ./arith.tests: line 257: syntax error:  7--
    101 ./arith.tests: line 259: syntax error:  --x=7
    102 ./arith.tests: line 260: syntax error:  ++x=7
    103 ./arith.tests: line 262: syntax error:  x++=7
    104 ./arith.tests: line 263: syntax error:  x--=7
     100./arith.tests: line 257: arithmetic syntax error
     101./arith.tests: line 259: arithmetic syntax error
     102./arith.tests: line 260: arithmetic syntax error
     103./arith.tests: line 262: arithmetic syntax error
     104./arith.tests: line 263: arithmetic syntax error
    1051054 4
    1061067 7
    107107-7 -7
    108 ./arith1.sub: line 2: syntax error:  4--
    109 ./arith1.sub: line 3: syntax error:  4++
    110 ./arith1.sub: line 4: syntax error:  4 --
    111 ./arith1.sub: line 5: syntax error:  4 ++
     108./arith1.sub: line 2: arithmetic syntax error
     109./arith1.sub: line 3: arithmetic syntax error
     110./arith1.sub: line 4: arithmetic syntax error
     111./arith1.sub: line 5: arithmetic syntax error
    1121126 6
    1131133 3
     
    120120-2 -2
    1211211 1
    122 ./arith1.sub: line 37: syntax error:  +++7
    123 ./arith2.sub: line 2: syntax error:  --7
    124 ./arith2.sub: line 3: syntax error:  ++7
    125 ./arith2.sub: line 4: syntax error:  -- 7
    126 ./arith2.sub: line 5: syntax error:  ++ 7
     122./arith1.sub: line 37: arithmetic syntax error
     123./arith2.sub: line 2: arithmetic syntax error
     124./arith2.sub: line 3: arithmetic syntax error
     125./arith2.sub: line 4: arithmetic syntax error
     126./arith2.sub: line 5: arithmetic syntax error
    1271275 5
    1281281 1
    1291294 4
    1301300 0
    131 ./arith2.sub: line 42: syntax error:  -- - 7
    132 ./arith2.sub: line 47: syntax error:  ++ + 7
     131./arith2.sub: line 42: arithmetic syntax error
     132./arith2.sub: line 47: arithmetic syntax error
    1331338 12
    134 ./arith.tests: line 290: syntax error: a b
     134./arith.tests: line 290: arithmetic syntax error
    13513542
    13613642
  • branches/2.2.9/mindi-busybox/shell/ash_test/printenv.c

    r1765 r2725  
    4646      for (envp = environ; *envp; envp++)
    4747    puts (*envp);
    48       exit (0);
     48      exit(EXIT_SUCCESS);
    4949    }
    5050
     
    6060        {
    6161          puts (eval + 1);
    62           exit (0);
     62          exit(EXIT_SUCCESS);
    6363        }
    6464    }
    6565    }
    66   exit (1);
     66  exit(EXIT_FAILURE);
    6767}
  • branches/2.2.9/mindi-busybox/shell/ash_test/recho.c

    r1765 r2725  
    3030void strprint();
    3131
    32 int
    33 main(argc, argv)
    34 int argc;
    35 char    **argv;
     32int main(int argc, char **argv)
    3633{
    37     register int    i;
     34    int i;
    3835
    3936    for (i = 1; i < argc; i++) {
     
    4239        printf(">\n");
    4340    }
    44     exit(0);
     41    exit(EXIT_SUCCESS);
    4542}
    4643
    47 void
    48 strprint(str)
    49 char    *str;
     44void strprint(char *str)
    5045{
    51     register unsigned char *s;
     46    unsigned char *s;
    5247
    5348    for (s = (unsigned char *)str; s && *s; s++) {
  • branches/2.2.9/mindi-busybox/shell/ash_test/run-all

    r1765 r2725  
    11#!/bin/sh
    22
    3 test -x ash || { echo "No ./ash?!"; exit; }
     3TOPDIR=$PWD
     4
     5test -x ash || {
     6    echo "No ./ash - creating a link to ../../busybox"
     7    ln -s ../../busybox ash
     8}
    49test -x printenv || gcc -O2 -o printenv printenv.c || exit $?
    510test -x recho    || gcc -O2 -o recho    recho.c    || exit $?
     
    1520{
    1621    test -d "$1" || return 0
     22#   echo do_test "$1"
     23    # $1 but with / replaced by # so that it can be used as filename part
     24    noslash=`echo "$1" | sed 's:/:#:g'`
    1725    (
    1826    cd "$1" || { echo "cannot cd $1!"; exit 1; }
     
    2432        #*) echo $x ; sh $x ;;
    2533        *)
    26         sh "$x" >"../$1-$x.fail" 2>&1 && \
    27         { echo "$1/$x: ok"; rm "../$1-$x.fail"; } || echo "$1/$x: fail";
     34        sh "$x" >"$TOPDIR/$noslash-$x.fail" 2>&1 && \
     35        { echo "$1/$x: ok"; rm "$TOPDIR/$noslash-$x.fail"; } || echo "$1/$x: fail";
    2836        ;;
    2937    esac
     
    3745    {
    3846        "$THIS_SH" "./$x" >"$name.xx" 2>&1
    39         diff -u "$name.xx" "$name.right" >"../$1-$x.fail" && rm -f "$name.xx" "../$1-$x.fail"
     47        diff -u "$name.xx" "$name.right" >"$TOPDIR/$noslash-$x.fail" \
     48        && rm -f "$name.xx" "$TOPDIR/$noslash-$x.fail"
    4049    } && echo "$1/$x: ok" || echo "$1/$x: fail"
    4150    done
     
    4958    # All sub directories
    5059    modules=`ls -d ash-*`
     60    # If you want to test ash against hush and msh testsuites
     61    # (have to copy hush_test and msh_test dirs to current dir first):
     62    #modules=`ls -d ash-* hush_test/hush-* msh_test/msh-*`
    5163
    5264    for module in $modules; do
  • branches/2.2.9/mindi-busybox/shell/ash_test/zecho.c

    r1765 r2725  
    2222#include <stdlib.h>
    2323
    24 int
    25 main(argc, argv)
    26 int argc;
    27 char    **argv;
     24int main(int argc, char **argv)
    2825{
    2926    argv++;
     
    3633
    3734    putchar('\n');
    38     exit(0);
     35    exit(EXIT_SUCCESS);
    3936}
Note: See TracChangeset for help on using the changeset viewer.